<%@ page import = "edu.ucla.cs.cs144.*" %>
<%@ page import = "java.util.*" %>
<jsp:useBean id="purchaseBean" scope="request" type="edu.ucla.cs.cs144.PurchaseBean" />

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml/DTD/xhtml-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
   <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
   <link href="style.css" rel="stylesheet" type="text/css" />
   
   <title>eBay | Item Data | Payment Confirmation</title>
   
</head>

<body>
   <div id="container">			<!-- The main container -->
   
      <div id="authorship">
         <p>Luis Angel Larios Cardenas &copy; 2011</p>
      </div>
      
      <div id="searchBox2">		<!-- Form to catch a different query -->
         <form action="item" method="get">
            <input id="searchField" type="text" name="id" />
	    <input id="searchButton" type="submit" value="Get Item!" />
         </form>
      </div>
      
      <div id="resultsList">
      
         <%
	 String rItemID = request.getParameter("itemID");			//Get the id parameter from request.
	 String rCreditCard = request.getParameter("creditCard");
	 PurchaseBean[] purchases = (PurchaseBean[])session.getAttribute("purchases");	//Get the collection of purchases.
	 String simpleURL = (String)request.getAttribute("url");
      
         if(purchases == null || purchaseBean.getItemID().length()==0)		//Session was not properly initialized or the object was removed from the list?
         {
	    out.println("<p class='notification'>Trying to get confirmation for purchasing item: <span style='font-weight:bold; font-size:1.3em;'>" + rItemID + "</span></p>");
	    out.println("<p class='text'>You are trying to purchase an item without coming from a valid page; please try again.</p>");
	 }
         else
	 {
	    out.println("<p class='notification'>Thanks for purchasing item: <span style='font-weight:bold; font-size:1.3em;'>" + rItemID + "</span></p>");

	    out.println("<div id='paymentBox'>");
            out.println("<table class='paymentTable'>");
	    out.println("<tr>");
	    out.println("<td class='left'>Item ID</td>");
	    out.println("<td class='right'>" + purchaseBean.getItemID() + "</td>");		//Fill fields with the session information.
	    out.println("</tr>");
	    out.println("<tr>");
	    out.println("<td class='left'>Item Name</td>");
	    out.println("<td class='right'>" + purchaseBean.getName() + "</td>");
	    out.println("</tr>");
	    out.println("<tr>");
	    out.println("<td class='left'>Buy Price</td>");
	    out.println("<td class='right'>" + purchaseBean.getBuyPrice() + "</td>");
	    out.println("</tr>");
	    out.println("<tr>");
	    out.println("<td class='left'>Purchase Date</td>");
	    out.println("<td class='right'>" + new Date() + "</td>");
	    out.println("</tr>");
	    out.println("<tr>");
	    out.println("<td class='left'>Credit Card Number</td>");
	    out.println("<td class='right'>" + rCreditCard + "</td>");
	    out.println("</tr>");
	    out.println("</table>");
	    out.println("<p><a class='redLink' href='" + simpleURL + "' style='margin-top:10px;' >Continue</a></p>");
            out.println("</form>");
	    //out.println("<p>Number of objects in session: "+purchases.length+"</p>");
            out.println("</div>");
	 }
	 %>
	 
      </div>				<!-- Ends the results div -->
      
   </div>				<!-- Ends the container -->
</body>

</html>
