<%@ page import = "edu.ucla.cs.cs144.*" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml/DTD/xhtml-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
   <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
   <link href="style.css" rel="stylesheet" type="text/css" />
   
   <title>eBay | Item Data | Payment Form</title>
   
   <script type="text/javascript" src="fValidation.js">
   </script>

   
</head>

<body>
   <div id="container">			<!-- The main container -->
   
      <div id="authorship">
         <p>Luis Angel Larios Cardenas &copy; 2011</p>
	 <p><a class="homeLink" href="index.html">Home Page</a></p>
      </div>
      
      <div id="searchBox2">		<!-- Form to catch a different query -->
         <form action="item" method="get">
            <input id="searchField" type="text" name="id" />
	    <input id="searchButton" type="submit" value="Get Item!">
         </form>
      </div>
      
      <div id="resultsList">
      
         <%
	 String rItemID = request.getParameter("itemID");			//Get the id parameter from request.
	 PurchaseBean[] purchases = (PurchaseBean[])session.getAttribute("purchases");	//Get the collection of purchases.
	 String secureURL = (String)request.getAttribute("url");
	 int I = 0;								//Stores the position of the item in the array.
	 
	 // Attemp to find the requested item id in the valid session-registered purchases.
	 while(purchases!=null && I < purchases.length)
	 {
	    if(purchases[I].getItemID().equals(rItemID))	//Found it?
	       break;
	    else
	       I++;
	 }
	 
	 out.println("<p class='notification'>Purchasing item: <span style='font-weight:bold; font-size:1.3em;'>" + rItemID + "</span></p>");
      
         if(purchases == null || I == purchases.length)		//request is different to what is in session?
            out.println("<p class='text'>You are trying to purchase an item without coming from a valid page; please try again.</p>");
         else
	 {
	    out.println("<div id='paymentBox'>");
            out.println("<form action='"+ secureURL +"' method='post' onsubmit='return formValidation()' >");
            out.println("<table class='paymentTable'>");
	    out.println("<tr>");
	    out.println("<td class='left'>Item ID</td>");
	    out.println("<td class='right'>" + purchases[I].getItemID() + "</td>");		//Fill fields with the session information.
	    out.println("</tr>");
	    out.println("<tr>");
	    out.println("<td class='left'>Item Name</td>");
	    out.println("<td class='right'>" + purchases[I].getName() + "</td>");
	    out.println("</tr>");
	    out.println("<tr>");
	    out.println("<td class='left'>Buy Price</td>");
	    out.println("<td class='right'>" + purchases[I].getBuyPrice() + "</td>");
	    out.println("</tr>");
	    out.println("<tr>");
	    out.println("<td class='left'>Credit Card Number</td>");
	    out.println("<td class='right'><input id='creditCard' type='text' name='creditCard' maxlength='16'/></td>");
	    out.println("</tr>");
	    out.println("</table>");
	    out.println("<input type='hidden' name='itemID' value='"+ rItemID +"' />");
	    out.println("<input id='submitPayment' type='submit' value='Submit' />");
            out.println("</form>");
	    //out.println("<p>"+secureURL + "?itemID=" + rItemID+"</p>");
	    //out.println("<p>Number of objects in session: "+purchases.length+"</p>");
            out.println("</div>");
	 }
	 %>
	 
      </div>				<!-- Ends the results div -->
      
   </div>				<!-- Ends the container -->
</body>

</html>
