package edu.ucla.cs.cs144;

import java.util.Calendar;
import java.util.Date;

import edu.ucla.cs.cs144.AuctionSearch;
import edu.ucla.cs.cs144.SearchResult;
import edu.ucla.cs.cs144.SearchConstraint;
import edu.ucla.cs.cs144.FieldName;

public class AuctionSearchTest {
	public static void main(String[] args1)
	{
		AuctionSearch as = new AuctionSearch();

		String message = "Test message";
		String reply = as.echo(message);
		System.out.println("Reply: " + reply);
		
		/*String query = "superman";
		SearchResult[] basicResults = as.basicSearch(query, 0, 20);
		System.out.println("Basic Seacrh Query: " + query);
		System.out.println("Received " + basicResults.length + " results");
		for(SearchResult result : basicResults) {
			System.out.println(result.getItemId() + ": " + result.getName());
		}
		
		SearchConstraint constraint =
		    new SearchConstraint(FieldName.BuyPrice, "5.99"); 
		SearchConstraint[] constraints = {constraint};
		SearchResult[] advancedResults = as.advancedSearch(constraints, 0, 20);
		System.out.println("Advanced Seacrh");
		System.out.println("Received " + advancedResults.length + " results");
		for(SearchResult result : advancedResults) {
			System.out.println(result.getItemId() + ": " + result.getName());
		}*/
		
		/*String itemId = "1497595357";
		String item = as.getXMLDataForItemId(itemId);
		System.out.println("XML data for ItemId: " + itemId);
		System.out.println(item);*/

		////////////////// Additional test cases ////////////////
		String query = "name: (batman christmas) AND description:(superhero)";
		SearchResult[] basicResults = as.basicSearch(query, 0, 0);
		System.out.println("Basic Search Query: " + query);
		System.out.println("Received " + basicResults.length + " results");
		for(SearchResult result : basicResults) {
			System.out.println(result.getItemId() + ": " + result.getName());
		}
		
		/*SearchConstraint[] constraints = {
		    new SearchConstraint(FieldName.ItemName, "superman"),
		    new SearchConstraint(FieldName.Description, "superman")
		};
		SearchResult[] advancedResults = as.advancedSearch(constraints, 0, 0);
		System.out.println("Advanced Seacrh");
		System.out.println("Received " + advancedResults.length + " results");
		for(SearchResult result : advancedResults) {
			System.out.println(result.getItemId() + ": " + result.getName());
		}
		
		SearchConstraint[] constraints1 = {
			    new SearchConstraint(FieldName.ItemName, "pan"),
			    new SearchConstraint(FieldName.Category, "kitchenware")
			};
			SearchResult[] advancedResults1 = as.advancedSearch(constraints1, 0, 20);
			System.out.println("Advanced Seacrh");
			System.out.println("Received " + advancedResults1.length + " results");
			for(SearchResult result : advancedResults1) {
				System.out.println(result.getItemId() + ": " + result.getName());
			}
			
		SearchConstraint[] constraints2 = {
			    new SearchConstraint(FieldName.ItemName, "Precious Moments"),
			    new SearchConstraint(FieldName.SellerId, "waltera317a")
			};
			SearchResult[] advancedResults2 = as.advancedSearch(constraints2, 0, 20);
			System.out.println("Advanced Seacrh");
			System.out.println("Received " + advancedResults2.length + " results");
			for(SearchResult result : advancedResults2) {
				System.out.println(result.getItemId() + ": " + result.getName());
			}
		
		SearchConstraint[] constraints3 = {
			    new SearchConstraint(FieldName.EndTime, "Dec-14-01 21:00:05")
			};
			SearchResult[] advancedResults3 = as.advancedSearch(constraints3, 0, 20);
			System.out.println("Advanced Seacrh");
			System.out.println("Received " + advancedResults3.length + " results");
			for(SearchResult result : advancedResults3) {
				System.out.println(result.getItemId() + ": " + result.getName());
			}*/
			
		SearchConstraint[] constraints4 = {
//			    new SearchConstraint(FieldName.EndTime, "Dec-11-01 20:28:15"),
//			    new SearchConstraint(FieldName.EndTime, "Dec-11-01 20:28:15"),
//			    new SearchConstraint(FieldName.ItemName, "pretty"),
//			    new SearchConstraint(FieldName.ItemName, "coat"),
//			    new SearchConstraint(FieldName.SellerId, "tmat35"),
//			    new SearchConstraint(FieldName.SellerId, "tmat35"),
//			    new SearchConstraint(FieldName.BuyPrice, "2.55"),
//			    new SearchConstraint(FieldName.BuyPrice, "2.55"),
//			    new SearchConstraint(FieldName.Description, "pretty"),
//			    new SearchConstraint(FieldName.Description, "pretty"),
//			    new SearchConstraint(FieldName.Category, "Clothing"),
//			    new SearchConstraint(FieldName.Category, "Clothing"),
			    //new SearchConstraint(FieldName.BidderId, "sharpiesautographs@yahoo.com"),
			    //new SearchConstraint(FieldName.BidderId, "rp43"),
			    //new SearchConstraint(FieldName.BidderId, "Calvin"),
				//new SearchConstraint(FieldName.ItemName, "batman christmas"),
				//new SearchConstraint(FieldName.Description, "superhero"),
				new SearchConstraint(FieldName.Description, "  "),
			};
			SearchResult[] advancedResults4 = as.advancedSearch(constraints4, 0, 0);
			System.out.println("Advanced Seacrh");
			System.out.println("Received " + advancedResults4.length + " results");
			for(SearchResult result : advancedResults4) {
				System.out.println(result.getItemId() + ": " + result.getName());
			}
	}
}
