/* CS144
 *
 * Parser skeleton for processing item-???.xml files. Must be compiled in
 * JDK 1.5 or above.
 *
 * Instructions:
 *
 * This program processes all files passed on the command line (to parse
 * an entire diectory, type "java MyParser myFiles/*.xml" at the shell).
 *
 * At the point noted below, an individual XML file has been parsed into a
 * DOM Document node. You should fill in code to process the node. Java's
 * interface for the Document Object Model (DOM) is in package
 * org.w3c.dom. The documentation is available online at
 *
 * http://java.sun.com/j2se/1.5.0/docs/api/index.html
 *
 * A tutorial of Java's XML Parsing can be found at:
 *
 * http://java.sun.com/webservices/jaxp/
 *
 * Some auxiliary methods have been written for you. You may find them
 * useful.
 */

package edu.ucla.cs.cs144;
    
public class Bid
{
	public User bidder = new User();
	public String time = "";
	public String amount = "";
	
	//////////////////////// Setters ///////////////////////
	
	public void setBidder(User value)
	{
		bidder = value;
	}
	
	public void setTime(String value)
	{
		time = value;
	}
	
	public void setAmount(String value)
	{
		amount = value;
	}
	
	/////////////////////////// Getters ///////////////////////////
	
	public User getBidder()
	{
		return bidder;
	}
	
	public String getTime()
	{
		return time;
	}
	
	public String getAmount()
	{
		return amount;
	}
}
