package edu.ucla.cs.cs144;

import java.io.*;
import java.net.HttpURLConnection;
import javax.servlet.Servlet;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.net.URL;
import java.net.URLEncoder;

public class ProxyServlet extends HttpServlet implements Servlet {
       
    public ProxyServlet() {}

    protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException
    {
        String q = request.getParameter("q");		//Get the partial query.
        PrintWriter salida = response.getWriter();
        
        if(q!=null && q.trim().length()>0)			//Parameter passed?
        {
        	//q = "español";							//Remove additional spaces.
        	q = URLEncoder.encode(q, "UTF-8");
        	URL googleSuggest = new URL("http://google.com/complete/search?output=toolbar&q="+q);
        	HttpURLConnection gS = (HttpURLConnection)googleSuggest.openConnection();
        	
        	//Setting the header to be XML.
        	response.setContentType("text/xml; charset=UTF-8");
            
        	BufferedReader entrada = new BufferedReader(new InputStreamReader(gS.getInputStream()));
            String inputLine;
            while ((inputLine = entrada.readLine()) != null) 
                salida.println(inputLine);			//Write output to the response object.
            entrada.close();
            
            gS.disconnect();
        }
    }
}
