/* Function to decode the address to show in the google map */
function codeAddress() 
{
   geocoder = new google.maps.Geocoder();
   var latlng = new google.maps.LatLng(19.47, -103.306);	//Default location: Mexico.
   var myOptions = 
   {
      zoom: 2,
      center: latlng,
      mapTypeId: google.maps.MapTypeId.ROADMAP
   }
   var map = new google.maps.Map(document.getElementById("mapCanvas"), myOptions);	//Default map.

   var address = document.getElementById("address").value;
   geocoder.geocode( { 'address': address}, 
      function(results, status)
      {
         if(status == google.maps.GeocoderStatus.OK)
	 {
            map.setCenter(results[0].geometry.location);
	    map.setZoom(8);
            var marker = new google.maps.Marker({
               map: map,
               position: results[0].geometry.location
            });
         }
      });
}

