<%@ page import = "edu.ucla.cs.cs144.*" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml/DTD/xhtml-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
   <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
   <link href="style.css" rel="stylesheet" type="text/css" />
   
   <title>eBay | Basic Search</title>
   
   <script type="text/javascript" src="MyXMLHttpRequest.js"></script>
   <script type="text/javascript" src="Suggestion.js"></script>
   <script type="text/javascript" src="AutoSuggestControl.js"></script>
   <script type="text/javascript">
   window.onload = function()
   {
      var oTextbox = new AutoSuggestControl(document.getElementById("searchField"), new Suggestion()); 
   }
   </script>
</head>

<body>
   <div id="container">			<!-- The main container -->
   
      <div id="authorship">
         <p>Luis Angel Larios Cardenas &copy; 2011</p>
	 <p><a class="homeLink" href="index.html">Home Page</a></p>
      </div>
      
      <div id="backField"></div>
      
      <div id="searchBox2">		<!-- Form to catch a different query -->
         <form action="search" method="get">
            <input id="searchField" type="text" name="q" autocomplete="off" />
	    <input type="hidden" name="numResultsToSkip" value="0" />
	    <input type="hidden" name="numResultsToReturn" value="0" />
	    <input id="searchButton" type="submit" value="Find it!">
         </form>
      </div>
      
      <div id="resultsList">
      
         <%
         SearchResult[] searchResults = (SearchResult[])request.getAttribute("searchResults");	//Get the results from the request implicit object.
	 int totalResults = (Integer)session.getAttribute("totalResults");			//Get the total number of results.
	 int numResultsToSkip = Integer.parseInt(request.getParameter("numResultsToSkip"));	//Get request parameters.
	 int numResultsToReturn = Integer.parseInt(request.getParameter("numResultsToReturn"));
	 String q = request.getParameter("q");
         
	 out.println("<p class='notification'>Number of Results: <span style='font-weight:bold; font-size:1.3em;'>" + totalResults + "</span><br />");
 	 out.println("Query: <span style='font-weight:bold; font-size:1.3em;'>" + q + "</span></p>");
      
         if(totalResults == 0)		//No result elements?
           out.println("<p class='text'>No results were found, please refine your search</p>");
         else
         {
           int I = 0;
	   
	   //Put results in a 2-column table.
	   out.println("<table style='width: auto; border-collapse:collapse;'>");
	   out.println("<tr>");
	   out.println("<td style='width:500px; vertical-align:top;'>");
	   
	   while(I < searchResults.length && I < 20)	//Iterate over all results (first call check also numResultsToReturn)
	   {
	     if(I == 10)	//Break content into two columns.
	     {
	        out.println("</td>");
		out.println("<td style='width:500px; vertical-align:top;'>");
	     }
	     out.println("<p class='text'><a href='item?id=" + searchResults[I].getItemId() + "' class='link'>" + searchResults[I].getItemId() + "</a></p>"); 
	     out.println("<p class='text'>" + searchResults[I].getName() + "</p>");
	     out.println("<br />");
	     I++;
	   }
	   
	   out.println("</td>");	//Close column.
	   out.println("</tr>");	//Close row.
	   out.println("</table>");	//Close table.
	   
	   if(numResultsToSkip + 20 < totalResults || numResultsToSkip - 20 >= 0)	//Check for need of the footer.
	   {
	     out.println("</div>");		//Close the results list div.
	     
	     out.println("<div id='footer'>");	//Open footer div.
	     out.println("<table style='border-collapse:collapse; width: 100%;'>");
	     out.println("<tr>");
	   
	     //Determine previous set of results to show.
	     if(numResultsToSkip - 20 >= 0)		//Are previous results?
	     {
	       out.println("<td style='text-align: center;'>");
	       out.println("<a class='footLink' href='search?q="+ q +"&numResultsToSkip="+ (numResultsToSkip-20) +"&numResultsToReturn=20'>Previous Page</a>");  
	       out.println("</td>");
	     }
	       
	     //Determine next set of results to show.
	     if(numResultsToSkip + 20 < totalResults)	//Are there still results to show?
	     {
	       out.println("<td style='text-align: center;'>");
	       out.println("<a class='footLink' href='search?q="+ q +"&numResultsToSkip="+ (numResultsToSkip+20) +"&numResultsToReturn=20'>Next Page</a>");
	       out.println("</td>");
	     }
	     
	     out.println("</tr>");
	     out.println("</table>");  
	     out.println("</div>");		//Close the footer div.  
	   }
	   else
	     out.println("</div>");		//Simply Close the results list div.
         }
         %>
      
   </div>				<!-- Ends the container -->
</body>

</html>
