CREATE TABLE item 
(itemID VARCHAR(10), 
name VARCHAR(100), 
description VARCHAR(4000), 
firstBid DECIMAL(8,2),
currently DECIMAL(8,2),
started TIMESTAMP,
ends TIMESTAMP,
sellerID VARCHAR(50),
numberOfBids INTEGER,
PRIMARY KEY(itemID));

CREATE TABLE itemBuyPrice 
(itemID VARCHAR(10), 
buyPrice DECIMAL(8,2),
PRIMARY KEY(itemID));

CREATE TABLE itemCategory 
(itemID VARCHAR(10), 
category VARCHAR(50),
PRIMARY KEY(itemID, category));

CREATE TABLE userLoc 
(userID VARCHAR(50), 
location VARCHAR(100),
PRIMARY KEY(userID));

CREATE TABLE userCountry 
(userID VARCHAR(50), 
country VARCHAR(50),
PRIMARY KEY(userID));

CREATE TABLE userRating 
(userID VARCHAR(50), 
rating INTEGER,
PRIMARY KEY(userID));

CREATE TABLE bidInfo 
(itemID VARCHAR(10), 
bidderID VARCHAR(50),
time TIMESTAMP,
amount DECIMAL(8,2),
PRIMARY KEY(itemID, bidderID, time));
