package edu.ucla.cs.cs144;

public class ItemBean
{    
    private String itemID = "";			//Private attributes of the item bean.
	private String name = "";
	private String description = "";
	private String firstBid = "";
	private String currently = "";
	private String started = "";
	private String ends = "";
	private User seller = new User();
	private String numberOfBids = "";
	private String buyPrice = "";
	private String[] categories = new String[0];
	private Bid[] bids = new Bid[0];
	
	public ItemBean()			//Default constructor.
	{
	}
    
	///////////////////////////// Functions to set the private attributes ////////////////////////////
    public void setItemID(String value)
    {
    	itemID = value;
    }
    
    public void setName(String value)
    {
    	name = value;
    }
    
	public void setDescription(String value)
	{
		description = value;
	}
	
	public void setFirstBid(String value)
	{
		firstBid = value;
	}
	
	public void setCurrently(String value)
	{
		currently = value;
	}
	
	public void setStarted(String value)
	{
		started = value;
	}
	
	public void setEnds(String value)
	{
		ends = value;
	}
	
	public void setSeller(User value)
	{
		seller = value;
	}
	
	public void setNumberOfBids(String value)
	{
		numberOfBids = value;
	}
	
	public void setBuyPrice(String value)
	{
		buyPrice = value;
	}
	
	public void setCategories(String[] value)
	{
		categories = value;
	}
	
	public void setBids(Bid[] value)
	{
		bids = value;
	}
	
    ///////////////////////////// Functions to get the private attributes ////////////////////////////
    public String getItemID()
    {
    	return itemID;
    }
    
    public String getName()
    {
    	return name;
    }
    
	public String getDescription()
	{
		return description;
	}
	
	public String getFirstBid()
	{
		return firstBid;
	}
	
	public String getCurrently()
	{
		return currently;
	}
	
	public String getStarted()
	{
		return started;
	}
	
	public String getEnds()
	{
		return ends;
	}
	
	public User getSeller()
	{
		return seller;
	}
	
	public String getNumberOfBids()
	{
		return numberOfBids;
	}
	
	public String getBuyPrice()
	{
		return buyPrice;
	}
	
	public String[] getCategories()
	{
		return categories;
	}
	
	public Bid[] getBids()
	{
		return bids;
	}

}
